%define fontname  wqy-bitmap
%define fontconf  61-wqy-bitmapsong.conf
%define wqyroot   wqy-bitmapfont-gb18030

Name:           %{fontname}-fonts
Version:        0.9.9
Release:        9%{?dist}
Summary:        WenQuanYi Bitmap Chinese Fonts

Group:          User Interface/X
License:        GPLv2 with exceptions
URL:            http://wenq.org/enindex.cgi
Source0:        http://downloads.sourceforge.net/wqy/wqy-bitmapfont-bdf-gb18030-%{version}-0.tar.gz
Source1: 	61-wqy-bitmapsong.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel, bdftopcf
Requires:       fontpackages-filesystem

%description
The Wen Quan Yi bitmap font is a manually fine-tuned
multi-strike bitmap font for on-screen display of Chinese 
(traditional and simplified). It has arguably the most complete 
coverage for Chinese characters among all known open-source 
fonts, including CJK Unified Ideograph (U4E00 - U9FA5) and 
CJK Unified Ideograph Extension A (U3400 - U4DB5) glyphs 
at four different sizes (9pt-12X12 pixel, 10pt-13X13 pixel, 
11pt-15X15 pixel, 12pt-16x16 pixel) and two weights 
(medium and bold). Use this font in web pages and elsewhere 
eliminates the annoying "blurring" problems caused by 
the high stroke density of many Chinese characters and 
insufficient "hinting" of anti-aliased Chinese fonts. 
This font also provides bitmap glyphs for Basic Latin,
Japanese Hiragana (U3040 - U309F) and Katakana (U30A0 - U30FF).

%prep
%setup -q -n %{wqyroot}


%build
make wqyv1


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.pcf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.pcf

%doc AUTHORS ChangeLog COPYING README LOGO.png
%dir %{_fontdir}


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

*Tue Feb 10 2009 Qianqian Fang <fangqq@gmail.com> 0.9.9-8
- add bdftopcf to BuildRequires

*Tue Feb 10 2009 Qianqian Fang <fangqq@gmail.com> 0.9.9-7
- use fontpackages macros

*Tue May 11 2008 Qianqian Fang <fangqq@gmail.com> 0.9.9-6
- remove bold font files, as Xft can do fake-emboldening byitself

*Tue May 11 2008 Qianqian Fang <fangqq@gmail.com> 0.9.9-5
- remove 61-wqy-bitmapsong.conf from source, add to cvs instead
- replace DejaVu LGC to DejaVu as LCG variants are not default anymore

*Tue Dec 11 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-4
- used tag 0.9.9-3 due to previous mistake, have to bump release to tag

*Tue Dec 11 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-3
- replace %SOURCE1 by actual config file name

*Tue Dec 11 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-2
- fontconfig file was rewriten to minimize impact to non-CJK users (#381311)

*Sat Nov 17 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-1
- avoid using Latin glyphs from this font in monospace environment such as in consoles

*Sat Nov 10 2007 Qianqian Fang <fangqq@gmail.com> 0.9.9-0
- include the complete CJK Extension A glyphs (6,582 x 4 point sizes), provide full coverage to Standard GB18030
- first round standard-compliance validation for all CJK basic characters between U4E00-U9FA5
- numerous bitmap glyph fine-tuning and corrections

* Tue Aug 28 2007 Jens Petersen <petersen@redhat.com> - 0.8.1-8
- fix font catalogue symlink (#252279)
- drop fontconfig and xorg-x11-font-utils requires for scripts
- drop freetype and xorg-x11-font-utils requires
- run mkfontdir at buildtime
- use the standard font scriptlets

*Thu Aug 16 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-7
- drop chkfontpath from the spec file, use fontpath.d instead (#252279)

*Fri May 18 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-6
- final polishing of spec file and initial upload to cvs

*Thu May 10 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-5
- further polishing the spec file (by Jens Petersen)

*Sun May 06 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-4
- use nightly-build cvs20070506-bdf as sources

*Fri May 04 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-3
- remove superfluous conflicts and provides

*Thu Apr 12 2007 Qianqian Fang <fangqq@gmail.com> 0.8.1-2
- update to upstream new release 0.8.1-7

*Sun Feb 18 2007 Qianqian Fang <fangqq@gmail.com> 0.8.0-1
- initial packaging for Fedora (#230560)
